Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.factory
Class ControllerFactoryImpl

    java.lang.Object
      org.jasig.portal.container.factory.ControllerFactoryImpl

All Implemented Interfaces:
  org.apache.pluto.factory.Factory, org.apache.pluto.om.ControllerFactory

    public class ControllerFactoryImpl

extends java.lang.Object
implements org.apache.pluto.om.ControllerFactory

Implementation of Apache Pluto ControllerFactory.

Version:
  $Revision: 1.2 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.util.Map` | `properties`
`private javax.servlet.ServletConfig` | `servletConfig`

Constructor Summary
`ControllerFactoryImpl()`

Method Summary
`void` | `destroy()`
`org.apache.pluto.om.Controller` | `get(org.apache.pluto.om.Model model)`
`void` | `init(javax.servlet.ServletConfig config, java.util.Map properties)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletConfig

    private javax.servlet.ServletConfig servletConfig

### properties

    private java.util.Map properties

Constructor Detail

### ControllerFactoryImpl

    public ControllerFactoryImpl()

Method Detail

### get

    public org.apache.pluto.om.Controller get(org.apache.pluto.om.Model model)

  Specified by:
    `get` in interface `org.apache.pluto.om.ControllerFactory`

### init

    public void init(javax.servlet.ServletConfig config,
                     java.util.Map properties)
              throws java.lang.Exception

  Specified by:
    `init` in interface `org.apache.pluto.factory.Factory`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `org.apache.pluto.factory.Factory`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD